#include <iostream>

using namespace std;

int main()
{
	int n,q,i,j;
	cin>>n;
	int a[n];
	for(i=0;i<n;i++)
	{
		cin>>a[i];
	}
	cin>>q;
	int c[q];
	int r,l,m=0,x=0;
	for(i=0;i<q;i++)
	{
		m=0;
		cin>>r>>l;
		for(j=r;j<l;j++)
		{
			if(a[j-1]>a[j])
			{
				m++;
			}
		}
		if(m>1){
				c[x]=1;
				x++;
			}
		else{
			c[x]=0;
			x++;}
	}
	for(i=0;i<q;i++)
	{
		if(c[i]==1)
			cout<<"NE"<<endl;
		else
			cout<<"DA"<<endl;
	}
}